> ## Documentation Index
> Fetch the complete documentation index at: https://docs.s15x.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Link Info (Roblox ID)

> Require roblox user Id returns data based on that userId about which discord account that roblox user is attached / linked to



## OpenAPI

````yaml GET /database/linkinfo
openapi: 3.0.3
info:
  title: APIFiddle Sample Definition
  version: 0.0.0
  description: Example workspace
servers:
  - url: https://api.s15x.dev
    description: s15x api url
security: []
tags:
  - name: purchase-api
  - name: account links
  - name: users
  - name: public
paths:
  /database/linkinfo:
    get:
      tags:
        - account links
      summary: Get linked account roblox id
      description: >-
        Require roblox user Id returns data based on that userId about which
        discord account that roblox user is attached / linked to
      operationId: getLinkedAccountRobloxId
      parameters:
        - $ref: '#/components/parameters/s15x-roblox-id'
      responses:
        '200':
          description: >-
            The request was successful, and the server has returned the
            requested resource in the response body.
          content:
            application/json:
              schema:
                type: object
                title: GetLinkedAccountInformationFromUserOk
                required:
                  - link
                properties:
                  link:
                    type: object
                    required:
                      - linked_at
                      - roblox_id
                      - id
                      - active
                      - updated_at
                      - discord_id
                    properties:
                      id:
                        type: string
                      active:
                        type: boolean
                      metadata:
                        type: array
                        items:
                          type: object
                      linked_at:
                        type: string
                      roblox_id:
                        type: string
                      updated_at:
                        type: string
                      unlinked_at:
                        type: string
                      discord_id:
                        type: string
        '400':
          description: >-
            The server could not understand the request due to invalid syntax.
            The client should modify the request and try again.
          content:
            application/json:
              schema:
                type: object
                title: GetLinkedAccountInformationFromUserBadRequest
                required:
                  - error
                properties:
                  error:
                    type: string
        '403':
          description: >-
            The server understood the request, but refuses to authorize it.
            Ensure the client has appropriate permissions.
          content:
            application/json:
              schema:
                type: object
                title: GetLinkedAccountInformationFromUserForbidden
                required:
                  - error
                properties:
                  error:
                    type: string
        '404':
          description: >-
            The server cannot find the requested resource. The endpoint may be
            invalid or the resource may no longer exist.
          content:
            application/json:
              schema:
                type: object
                title: GetLinkedAccountInformationFromUserNotFound
                required:
                  - error
                properties:
                  error:
                    type: string
      security:
        - API-Authorization: []
components:
  parameters:
    s15x-roblox-id:
      in: header
      name: s15x-roblox-id
      style: simple
      schema:
        type: string
      explode: false
      required: true
      description: |-
        **Required**
        User roblox id input
        > must pass as a string
      allowReserved: false
  securitySchemes:
    API-Authorization:
      type: apiKey
      name: API-Authorization
      in: header
      description: 'Required: API key to access'

````